List supported asset types
Permissions required: none
List all of the supported asset types for your organization. Each asset type object includes the name of the asset (ex. Bitcoin) as well as the asset type (ex. BTC), which usually corresponds to the asset’s ticker symbol.
Filters
You may optionally supply the following filters:
-
Specify the
asset typesto filter the organization asset types. Multiple asset types should be separated by commas.For example:
To filter a single asset type to only Bitcoin we can use /v2/asset-types?assetTypes=BTC
To filter multiple asset types for instance Bitcoin and Ethereum we could use /v2/asset-types?assetTypes=BTC,ETH
-
Specify the
feature typesto filter the organization asset types. Multiple features should be separated by commas.For example:
To filter all organization assets that have the HOLD feature we can use /v2/asset-types?assetFeatures=HOLDS
To filter all organization assets that have the HOLD or TRANSFERS feature we can use /v2/asset-types?assetFeatures=HOLDS,TRANSFERS
Authorizations
An API key associated with a security role
Query Parameters
The asset type IDs to be used as filter for the organization asset types.
An asset type is considering to be passing this filter, if this set is not empty.
The asset features to be used as filter for the organization asset types.
An asset type is considering to be passing this filter, if this set is not empty, and at least one of the features is supported by the asset type.
TRANSFERS, HOLDS Response
List of supported asset types for your organization
[
{
"assetType": "BTC",
"name": "Bitcoin",
"decimals": 8,
"featureSupport": ["TRANSFERS", "HOLDS"],
"networkId": "BTC"
},
{
"assetType": "ETH",
"name": "Ethereum",
"decimals": 18,
"featureSupport": ["TRANSFERS", "HOLDS"],
"networkId": "ETH"
},
{
"assetType": "USDC",
"name": "USD Coin",
"decimals": 6,
"featureSupport": ["TRANSFERS", "HOLDS"],
"networkId": "ETH"
}
]
